### Method

# FwupdPlugin DeviceEvent set_bytes

since: 2.0.0

#### Declaration [src]

    void
    fu_device_event_set_bytes (
      FuDeviceEvent* self,
      const gchar* key,
      GBytes* value
    )

#### Description [src]

Sets a blob on the event. Note: blobs are stored internally as BASE-64 strings.

Available since: 2.0.0

#### Parameters

`key`

  Type: `const gchar*`

  A unique key, e.g. `Name`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the method.